Bug 842320 - RFE: Support for attributes in tag wrap
RFE: Support for attributes in tag wrap
Status: CLOSED CURRENTRELEASE
Product: Topic Tool
Classification: Other
Component: FUDCon Docs Hack (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Joshua Wulf
Joshua Wulf
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-23 09:26 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-08 10:40:31 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-07-23 09:26:22 EDT
ulink url and programlisting language are the obvious ones.

Just parse the user input for the tag up to the first space, and call that the tag. Everything after that is the attribute.

Dude, I could do that now....
Comment 1 Joshua Wulf 2012-08-08 10:40:31 EDT
done.

Tag attributes can now be entered in the tag wrap dialog, and the selection will be correctly wrapped.

Ctrl-Shift-D is the hot key to invoke the tag wrap dialog, and it can be invoked from the Tag Wrap button above the editor.

If text is selected it will be wrapped, otherwise the tag will be inserted at the cursor with the attribute.

Note You need to log in before you can comment on or make changes to this bug.